Subject: Re: bug#25388: Bug in ls, kills existing scripts reading "ls" -1 as input

From: Paul Eggert <[email-masked]>
Date: Mon, 9 Jan 2017 12:07:51 -0800

On 01/09/2017 12:00 PM, L A Walsh wrote:
> I wasn't asking for a change to _that_ specific behavior.

You argued that it's not standard for 'ls' to behave differently when
piping output to a pager, and that the recent change was therefore
undesirable. As the premise for this argument was incorrect, it
shouldn't be surprising if readers disagree with its conclusion.

There are obviously advantages and disadvantages of the recent change,
and we thought that the former outweighed the latter for typical users.
If this isn't the case for you, you can change your personal alias to
reflect your preferences. You're already using such an alias, since you
already prefer alternatives to the default in other areas, so this
shouldn't be much trouble.